/*
******************************************************************
CSS for responsive

(c) sinntun.codes
******************************************************************
*/

@media only screen and (max-width: 1650px){
  .logo-wrapper {
    left: calc((100% - 1410px) / 2);
    padding-left: 0px;
    width: unset;
  }
}
@media only screen and (max-width: 1450px) {
  #head-canvas {
    padding: 15px 25px 0;
  }

  .logo-wrapper {
    left: calc((100% - 1350px) / 2);
  }

  .top-navigation,
  .search-container {
    right: 25px;
  }
}

@media only screen and (max-width: 1400px){
  .logo-wrapper {
    left: 25px;
  }
}

@media only screen and (max-width: 1300px) {
  .pagetype-standard.visibleAsideCanvas #aside-canvas {
    margin-right: 40px;
  }

  .pagetype-standard.visibleAsideCanvas #content-canvas {
    width: calc(100% - 540px);
  }
}

@media only screen and (max-width: 1250px) {
  .search-container {
    right: 15px;
  }

  #footer-canvas {
    padding-bottom: 90px;
  }
}

@media only screen and (max-width: 1024px) {
  #site_headline {
    padding-bottom: 30px !important;
  }

  h2 {
    margin-bottom: 10px !important;
  }

  #detail-container .contentbox,
  .contentbox-info {
    margin-bottom: 30px;
  }

  #mobile-search-box {
    display: block !important;
  }

  #mobile-searchbutton {
    top: 20px;
    padding: 0;
  }

  .logo-wrapper {
    top: 155px;
  }

  /*****************************************************************
    *********** Canvases
    ******************************************************************/
  #head-canvas {
    position: relative;
    min-height: 75px;
  }

  #info-canvas {
    width: 100%;
    margin: 0 0;
    max-width: 100%;
    padding-left: 0;
  }

  #main-canvas {
    width: 100% !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
  }



  #aside-canvas {
    width: 100%;
    margin-bottom: 10px;
    display: none;
  }

  /*****************************************************************
    *********** Allgemeine Selektoren
    ******************************************************************/
  .top-navigation {
    position: absolute;
    right: 130px;
    top: 5px;
  }

  /*****************************************************************
    *********** Header
    ******************************************************************/
  .page-headline {
    font-size: 35px !important;
  }

  .lang-selector {
    display: block;
    right: 85px;
  }

  /*****************************************************************
    *********** Footer
    ******************************************************************/
  #footer-canvas {
    flex-direction: column;
  }

  #footer-canvas .column {
    margin-bottom: 25px;
    width: 100%;
  }

  #footer-canvas .socialmedia-icons {
    display: flex;
    justify-content: start;
  }

  .column.center-left-column {
    display: none;
  }

  .social-media-link {
    float: none;
  }
}

@media only screen and (max-width: 800px){
  #footer-canvas,
  #footer-canvas .headline,
  #footer-canvas .column a {
    font-size: 20px;
  }

  .back-to-top {
    padding: 15px;
    height: 50px;
    width: 50px;
  }

  #footer-canvas {
    padding-bottom: 70px;
  }
}

@media only screen and (max-width: 760px) {
  /*****************************************************************
    *********** Document/Canvas
    ******************************************************************/

  #main-canvas {
    width: 100% !important;
    margin-left: 0 !important;
  }

  #main-navigation{
    flex-flow: column;
    padding-top: 0;
    gap: 20px;
  }


  #main-navigation .icons {
    display: none;
  }

  #main-navigation .mobile-icons {
    display: flex;
    justify-content: flex-end;
  }

  #main-navigation .mobile-icons .icons {
    display: block;
  }

  .navigation {
    min-height: unset;
  }

  .nav1,
  .nav2 {
    margin-top: 20px;
  }

  #logo {
    display: none;
    height: auto;
    width: 52px;
    min-width: unset;
    max-width: unset;
    margin-top: 0;
  }

  .logo-wrapper {
    top: 30px;
  }

  #content-canvas {
    padding-top: 25px;
  }

  #info-canvas {
    width: 100%;
    margin: 0 0;
  }

  #aside-canvas {
    width: 100%;
    margin-bottom: 10px;
  }

  /*****************************************************************
    *********** Allgemeine Selektoren
    ******************************************************************/
  .page-headline {
    font-size: 35px !important;
  }

  /*****************************************************************
    *********** Header
    ******************************************************************/
  #head-image {
    width: 100%;
    height: 165px;
  }

  #head-image img {
    width: auto;
    height: 165px;
    align-content: center;
  }
}

@media only screen and (max-width: 480px) {
  /*****************************************************************
    *********** Header
    ******************************************************************/
  .lang-selector {
    width: 115px;
  }

  .lang-selector .lang-text {
    display: none !important;
  }

  /*****************************************************************
    *********** Footer
    ******************************************************************/
  #footer-canvas .column {
    width: 100%;
  }
}
